# ion-gesture



<!-- Auto Generated Below -->


## Properties

#### attachTo




#### autoBlockAll

boolean


#### canStart




#### direction

string


#### disableScroll

boolean


#### disabled

boolean


#### gestureName

string


#### gesturePriority

number


#### maxAngle

number


#### notCaptured




#### onEnd




#### onMove




#### onPress




#### onStart




#### onWillStart




#### passive

boolean


#### threshold

number


#### type

string


## Attributes

#### attach-to




#### auto-block-all

boolean


#### can-start




#### direction

string


#### disable-scroll

boolean


#### disabled

boolean


#### gesture-name

string


#### gesture-priority

number


#### max-angle

number


#### not-captured




#### on-end




#### on-move




#### on-press




#### on-start




#### on-will-start




#### passive

boolean


#### threshold

number


#### type

string


## Events

#### ionGestureEnd

Emitted when the gesture ends.


#### ionGestureMove

Emitted when the gesture moves.


#### ionGestureNotCaptured

Emitted when the gesture is not captured.


#### ionGestureStart

Emitted when the gesture starts.


#### ionPress

Emitted when press is detected.



----------------------------------------------

*Built with [StencilJS](https://stenciljs.com/)*
